<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <LinearLayout
        android:id="@+id/ln_frame"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.cardview.widget.CardView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:cardCornerRadius="@dimen/margin_1x_size"
            app:cardElevation="@dimen/margin_1x_size"
            app:cardUseCompatPadding="true"
            app:contentPadding="@dimen/margin_2x_size">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_1x_size"
                android:orientation="vertical"
                android:padding="@dimen/margin_2x_size">


                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_data"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="500MB"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/xx_large_text_size"
                    android:textStyle="bold" />

                <ImageView
                    android:layout_width="10dp"
                    android:layout_height="10dp"
                    android:layout_gravity="center_horizontal"
                    android:src="@drawable/add_number_icon"
                    app:tint="@color/colorGray" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_fee"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="$0.50"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/xx_large_text_size"
                    android:textStyle="bold" />

                <ImageView
                    android:layout_width="10dp"
                    android:layout_height="10dp"
                    android:layout_gravity="center_horizontal"
                    android:src="@drawable/add_number_icon"
                    app:tint="@color/colorGray" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_validity"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="1 Day"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/default_text_size" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_activate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/margin_1x_size"
                    android:background="@drawable/bg_tab_box_round_pink"
                    android:padding="@dimen/margin_1x_size"
                    android:text="1800*331*"
                    android:textColor="@color/colorBlue"
                    android:textSize="@dimen/default_text_size"
                    android:textStyle="bold" />


            </LinearLayout>


        </androidx.cardview.widget.CardView>


    </LinearLayout>

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:visibility="gone"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="5dp"
        android:background="@drawable/bg_button_primary"
        android:padding="@dimen/margin_1x_size"
        android:text="Add-on"
        android:textColor="@color/white"
        android:textSize="@dimen/default_text_size"
        app:layout_constraintBottom_toTopOf="@+id/ln_frame"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/ln_frame" />


    <com.seatel.mobilehall.util.customview.CustomButton
        android:id="@+id/btn_activate"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:visibility="gone"
        android:layout_marginStart="@dimen/margin_1x_size"
        android:layout_marginEnd="@dimen/margin_1x_size"
        android:layout_weight="1"
        android:background="@drawable/bg_button_primary"
        android:gravity="center"
        android:tag="0"
        android:text="@string/click"
        android:textAlignment="center"
        android:textAllCaps="false"
        android:textColor="@color/white"
        android:textSize="@dimen/large_text_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ln_frame" />

</androidx.constraintlayout.widget.ConstraintLayout>

